Uploaded image for project: 'Apache Roller'
  1. Apache Roller
  2. ROL-1894

Roller 5 will not run on JBoss AS 6

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 5.0
    • Labels:
      None

      Description

      Roller 5 uses JPA 2.0 for persistence and is therefore a Java EE 6 web application, but for a variety of reasons, Roller 5 will not run on JBoss AS 6, which is a Java EE 6 compliant app server.

      We should make it possible for Roller to run on JBoss AS 6 but without making it more difficult to install and run on Tomcat. As we discussed on the Roller mailing list ( http://s.apache.org/roller5javaee ), this may involve creating two releases of Roller: one that targets Tomcat and one that targets Java EE 6 application servers.

        Attachments

          Activity

            People

            • Assignee:
              djohnson David Johnson
              Reporter:
              djohnson David Johnson
            • Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: